CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
SPTUser Class Reference
Inheritance diagram for SPTUser:
[legend]
Collaboration diagram for SPTUser:
[legend]

## Public Member Functions
| SPTUser ($UserInfo=NULL)
| PrefFontSize ($NewValue=DB_NOVALUE)
| PrefFontTypeFace ($NewValue=DB_NOVALUE)
| PrefFontColor ($NewValue=DB_NOVALUE)
| PrefBackgroundColor ($NewValue=DB_NOVALUE)
| PrefColorAvoidanceFlags ($NewValue=DB_NOVALUE)
| PrefContentDensity ($NewValue=DB_NOVALUE)
| PrefContentView ($NewValue=DB_NOVALUE)
| PrefAudioDescriptionLevel ($NewValue=DB_NOVALUE)
| PrefAudioDescriptionLanguage ($NewValue=DB_NOVALUE)
| PrefVisualDescriptionLanguage ($NewValue=DB_NOVALUE)
| PrefImageDescriptionLanguage ($NewValue=DB_NOVALUE)
| PrefUseGraphicAlternatives ($NewValue=DB_NOVALUE)
| PrefSignLanguage ($NewValue=DB_NOVALUE)
| PrefCaptionType ($NewValue=DB_NOVALUE)
| PrefCaptionRate ($NewValue=DB_NOVALUE)
| UUPUpdateValue ($FieldName, $NewValue)
Public Member Functions inherited from User
| User ($UserInfoOne=NULL, $UserInfoTwo=NULL)
| Status ()
| StatusMessage ($StatusCode=NULL)
| Delete ()
| Id ()
| Name ()
| LastLocation ($NewLocation=NULL)
| LastActiveDate ()
| LastIPAddress ()
| Get ($FieldName)
| GetDate ($FieldName, $Format="")
| Set ($FieldName, $NewValue)
| Login ($UserName, $Password, $IgnorePassword=FALSE)
| Logout ()
| GetPasswordSalt ($UserName)
| IsLoggedIn ()
| IsNotLoggedIn ()
| ChangePassword ($OldPassword, $NewPassword, $NewPasswordAgain)
| SetPassword ($NewPassword)
| CreateNewUserWithEMailedPassword ($UserName, $EMail, $EMailAgain, $TemplateFile="Axis--User--EMailTemplate.txt")
| CreateNewUserAndMailPasswordFromFile ($UserName, $EMail, $EMailAgain, $TemplateFile="Axis--User--EMailTemplate.txt")
| CreateNewUserAndMailPassword ($UserName, $EMail, $EMailAgain, $EMailSubject, $EMailBody)
| GetActivationCode ()
| IsActivationCodeGood ($Code)
| IsActivated ($NewValue=DB_NOVALUE)
| GetResetCode ()
| IsResetCodeGood ($Code)
| GetMailChangeCode ()
| IsMailChangeCodeGood ($Code)
| SendEMail ($TemplateTextOrFileName, $FromAddress=NULL, $MoreSubstitutions=NULL, $ToAddress=NULL)
| HasPriv ($Privilege, $Privileges=NULL)
| Check whether user has specified privilege(s).
| GrantPriv ($Privilege)
| RevokePriv ($Privilege)
| GetPrivList ()
| SetPrivList ($NewPrivileges)
| GetUniqueCode ($SeedString, $CodeLength)
| GetRandomPassword ($PasswordMinLength=6, $PasswordMaxLength=8)
| UpdateValue ($FieldName, $NewValue=DB_NOVALUE)
| GivePriv ($Privilege)

## Static Public Member Functions
static | EmailWrapper ($To, $Subject, $Message, $AdditionalHeaders)
static | GetCryptKey ()
| Get/generate a cryptographic keypair for user login.
static | ExtractPubKeyParameters ($KeyPair)
| Extract the modulus and exponent of the public key from an openssl format keypair to send in login forms.
Static Public Member Functions inherited from User
static | SetEmailFunction ($NewValue)
| Set email function to use instead of mail().
static | GetSqlQueryForUsersWithPriv ($Privilege, $Privileges=NULL)
| Get an SQL query that will return IDs of all users that have the specified privilege flags.
static | IsValidUserName ($UserName)
static | IsValidPassword ($Password)
static | IsValidLookingEMailAddress ($EMail)
static | NormalizeEMailAddress ($EMailAddress)
static | NormalizeUserName ($UserName)
static | NormalizePassword ($Password)

## Public Attributes
const | UIPREF_AVOID_RED = 1
const | UIPREF_AVOID_REDGREEN = 2
const | UIPREF_AVOID_BLUEYELLOW = 4
const | UIPREF_AVOID_GREENYELLOW = 8
const | UIPREF_AVOID_ORANGE = 16
const | UIPREF_AVOID_REDBLACK = 32
const | UIPREF_AVOID_PURPLEGREY = 64
const | UIPREF_AVOID_USEMAXMONOCHR = 128
const | UIPREF_CONTENTDENSITY_NOPREFERENCE = 0
const | UIPREF_CONTENTDENSITY_DETAILED = 1
const | UIPREF_CONTENTDENSITY_OVERVIEW = 2
const | UIPREF_CONTENTVIEW_NOPREFERENCE = 0
const | UIPREF_CONTENTVIEW_TEXTINTENSIVE = 1
const | UIPREF_CONTENTVIEW_IMAGEINTENSIVE = 2
const | UIPREF_AUDIODESCRIPTION_NONE = 0
const | UIPREF_AUDIODESCRIPTION_STANDARD = 1
const | UIPREF_AUDIODESCRIPTION_EXPANDED = 2
const | UIPREF_CAPTIONTYPE_NONE = 0
const | UIPREF_CAPTIONTYPE_VERBATIM = 1
const | UIPREF_CAPTIONTYPE_REDUCEDREADINGLEVEL = 2
| $UserUIPreferencesCache

## Additional Inherited Members
Protected Attributes inherited from User
| $DB

## Detailed Description

Definition at line 19 of file SPTUser.php.

## Member Function Documentation

static SPTUser::EmailWrapper | ( |  | $To,
|  |  | $Subject,
|  |  | $Message,
|  |  | $AdditionalHeaders
| ) |  |
| static

Definition at line 78 of file SPTUser.php.

static SPTUser::ExtractPubKeyParameters | ( |  | $KeyPair | ) |
| static

Extract the modulus and exponent of the public key from an openssl format keypair to send in login forms.

Parameters

  KeyPair | An openssl format keypair as returned by SPTUser::GetCryptKey().

Returns
  Associative array containing "Modulus" and "Exponent" key parameters

Definition at line 208 of file SPTUser.php.

static SPTUser::GetCryptKey | ( |  | ) |
| static

Get/generate a cryptographic keypair for user login.

CWIS can use RSA encryption on the password field of login forms. This function gets the most recently generated keypair, clearing out keys older than 48 hours, and re-generating a new key if the most recent one is older than 24 hours.

Returns
  openssl format keypair

Definition at line 159 of file SPTUser.php.

References User\$DB.

SPTUser::PrefAudioDescriptionLanguage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 135 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefAudioDescriptionLevel | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 133 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefBackgroundColor | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 125 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefCaptionRate | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 147 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefCaptionType | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 145 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefColorAvoidanceFlags | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 127 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefContentDensity | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 129 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefContentView | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 131 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefFontColor | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 123 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefFontSize | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 119 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefFontTypeFace | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 121 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefImageDescriptionLanguage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 139 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefSignLanguage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 143 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefUseGraphicAlternatives | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 141 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::PrefVisualDescriptionLanguage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 137 of file SPTUser.php.

References UUPUpdateValue().

SPTUser::SPTUser | ( |  | $UserInfo = `NULL` | ) |

Definition at line 53 of file SPTUser.php.

References User\Id(), User\IsLoggedIn(), and User\User().

SPTUser::UUPUpdateValue | ( |  | $FieldName,
|  |  | $NewValue
| ) |  |

Definition at line 242 of file SPTUser.php.

References User\Id().

Referenced by PrefAudioDescriptionLanguage(), PrefAudioDescriptionLevel(), PrefBackgroundColor(), PrefCaptionRate(), PrefCaptionType(), PrefColorAvoidanceFlags(), PrefContentDensity(), PrefContentView(), PrefFontColor(), PrefFontSize(), PrefFontTypeFace(), PrefImageDescriptionLanguage(), PrefSignLanguage(), PrefUseGraphicAlternatives(), and PrefVisualDescriptionLanguage().

Here is the caller graph for this function:

## Member Data Documentation

SPTUser::$UserUIPreferencesCache

Definition at line 240 of file SPTUser.php.

const SPTUser::UIPREF_AUDIODESCRIPTION_EXPANDED = 2

Definition at line 45 of file SPTUser.php.

const SPTUser::UIPREF_AUDIODESCRIPTION_NONE = 0

Definition at line 43 of file SPTUser.php.

const SPTUser::UIPREF_AUDIODESCRIPTION_STANDARD = 1

Definition at line 44 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_BLUEYELLOW = 4

Definition at line 25 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_GREENYELLOW = 8

Definition at line 26 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_ORANGE = 16

Definition at line 27 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_PURPLEGREY = 64

Definition at line 29 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_RED = 1

Definition at line 23 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_REDBLACK = 32

Definition at line 28 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_REDGREEN = 2

Definition at line 24 of file SPTUser.php.

const SPTUser::UIPREF_AVOID_USEMAXMONOCHR = 128

Definition at line 30 of file SPTUser.php.

const SPTUser::UIPREF_CAPTIONTYPE_NONE = 0

Definition at line 48 of file SPTUser.php.

const SPTUser::UIPREF_CAPTIONTYPE_REDUCEDREADINGLEVEL = 2

Definition at line 50 of file SPTUser.php.

const SPTUser::UIPREF_CAPTIONTYPE_VERBATIM = 1

Definition at line 49 of file SPTUser.php.

const SPTUser::UIPREF_CONTENTDENSITY_DETAILED = 1

Definition at line 34 of file SPTUser.php.

const SPTUser::UIPREF_CONTENTDENSITY_NOPREFERENCE = 0

Definition at line 33 of file SPTUser.php.

const SPTUser::UIPREF_CONTENTDENSITY_OVERVIEW = 2

Definition at line 35 of file SPTUser.php.

const SPTUser::UIPREF_CONTENTVIEW_IMAGEINTENSIVE = 2

Definition at line 40 of file SPTUser.php.

const SPTUser::UIPREF_CONTENTVIEW_NOPREFERENCE = 0

Definition at line 38 of file SPTUser.php.

const SPTUser::UIPREF_CONTENTVIEW_TEXTINTENSIVE = 1

Definition at line 39 of file SPTUser.php.

The documentation for this class was generated from the following file:

- objects/SPTUser.php